weka.knowledgeflow.steps

## Class MemoryBasedDataSource

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.MemoryBasedDataSource

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="MemoryDataSource",
              category="DataSources",
              toolTipText="Memory-based data",
              iconPath="weka/gui/knowledgeflow/icons/DefaultDataSource.gif")
      public class MemoryBasedDataSource
      extends BaseStep

  Simple start step that stores a set of instances and outputs it in a dataSet connection. Gets used programmatically when the setInstances() method is invoked on the MainKFPerspective in order to create a new Flow containing this step.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryBasedDataSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get a list of incoming connection types that this step can accept.
    `Instances` | `getInstances()` Get the data to output from this step
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get a list of outgoing connection types that this step can produce.
    `void` | `setInstances(Instances instances)` Set the data to output from this step
    `void` | `start()` Start processing
    `void` | `stepInit()` Initialize the step

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, processIncoming, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemoryBasedDataSource

          public MemoryBasedDataSource()

  - ### Method Detail

    - #### setInstances

          public void setInstances(Instances instances)

      Set the data to output from this step
      Parameters:
        `instances` -

    - #### getInstances

          public Instances getInstances()

      Get the data to output from this step
      Returns:

    - #### stepInit

          public void stepInit()
                        throws WekaException

      Initialize the step
      Throws:
        `WekaException` - if the data to output has not been set yet

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get a list of incoming connection types that this step can accept. Ideally (and if appropriate), this should take into account the state of the step and any existing incoming connections. E.g. a step might be able to accept one (and only one) incoming batch data connection.
      Returns:
        a list of incoming connections that this step can accept given its current state

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get a list of outgoing connection types that this step can produce. Ideally (and if appropriate), this should take into account the state of the step and the incoming connections. E.g. depending on what incoming connection is present, a step might be able to produce a trainingSet output, a testSet output or neither, but not both.
      Returns:
        a list of outgoing connections that this step can produce

    - #### start

          public void start()
                     throws WekaException

      Start processing
      Specified by:
        `start` in interface `BaseStepExtender`
      Specified by:
        `start` in interface `Step`
      Overrides:
        `start` in class `BaseStep`
      Throws:
        `WekaException` - if a problem occurs